geos::edgegraph::EdgeGraphBuilder Class Reference

`#include <EdgeGraphBuilder.h>`

## Public Member Functions

std::unique_ptr< EdgeGraph > | getGraph ()
void | add (const geom::Geometry *geometry)
void | add (const geom::LineString *linestring)
void | add (const geom::GeometryCollection *geometries)

## Static Public Member Functions

static std::unique_ptr< EdgeGraph > | build (const geom::GeometryCollection *geoms)

## Detailed Description

Builds an edge graph from geometries containing edges.

Author
  mdavis

## Member Function Documentation

## add() [1/2]

void geos::edgegraph::EdgeGraphBuilder::add | ( | const geom::Geometry * | geometry | ) |

Adds the edges of a Geometry to the graph. May be called multiple times. Any dimension of Geometry may be added; the constituent edges are extracted.

Parameters

  geometry | geometry to be added

References add().

Referenced by add().

## add() [2/2]

void geos::edgegraph::EdgeGraphBuilder::add | ( | const geom::GeometryCollection * | geometries | ) |

Adds the edges in a collection of `geom::Geometry` to the graph. May be called multiple times. Any dimension of Geometry may be added.

Parameters

  geometries | the geometries to be added

The documentation for this class was generated from the following file:

- EdgeGraphBuilder.h